> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #Shake 2 Wake Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example
```
#include "adxl362.h"

sbit ADXL362_CS at GPIOD_ODR.B13;

void system_init( void );

void system_init()
{

    GPIO_Digital_Output( &GPIOD_BASE, _GPIO_PINMASK_13 );

    SPI3_Init_Advanced( _SPI_FPCLK_DIV16,
                        _SPI_MASTER | _SPI_8_BIT | _SPI_CLK_IDLE_LOW | 
                        _SPI_FIRST_CLK_EDGE_TRANSITION | _SPI_MSB_FIRST | 
                        _SPI_SS_DISABLE | _SPI_SSM_ENABLE | 
                        _SPI_SSI_1, 
                        &_GPIO_MODULE_SPI3_PC10_11_12 );
                        
    UART1_Init_Advanced( 115200,
                         _UART_8_BIT_DATA, 
                         _UART_NOPARITY, 
                         _UART_ONE_STOPBIT, 
                         &_GPIO_MODULE_USART1_PA9_10 );

    Delay_ms( 100 );
    if( adxl362_init() )
    {
        UART1_Write_Text( "Failed to find ADXL362\r\n" );
    } else {
        adxl362_set_output_rate( ADXL362_ODR_50_HZ );
        adxl362_set_range( ADXL362_RANGE_2G );
    }
    
    return;
}
```

```
void main() 
{
    char tmp_text[80];
    int16_t x, y, z;
    
    system_init();
    
    while( 1 )
    {
        adxl362_get_xyz( &x, &y, &z );
        sprinti( tmp_text, "x:%d y:%d z:%d\r\n", x, y, z );
        UART1_Write_Text( tmp_text );
        sprintf( tmp_text, "Temp is: %2.2f\r\n", adxl362_read_temperature() );
        UART1_Write_Text( tmp_text );
        Delay_ms( 1000 );
    }
}
```